play.libs

## Enum Crypto.HashType

- java.lang.Object
- - java.lang.Enum<Crypto.HashType>
  - - play.libs.Crypto.HashType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Crypto.HashType>
  Enclosing class:
    Crypto

      public static enum Crypto.HashType
      extends java.lang.Enum<Crypto.HashType>

  Define a hash type enumeration for strong-typing

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MD5`
    `SHA1`
    `SHA256`
    `SHA512`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static Crypto.HashType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Crypto.HashType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MD5

          public static final Crypto.HashType MD5

    - #### SHA1

          public static final Crypto.HashType SHA1

    - #### SHA256

          public static final Crypto.HashType SHA256

    - #### SHA512

          public static final Crypto.HashType SHA512

  - ### Method Detail

    - #### values

          public static Crypto.HashType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Crypto.HashType c : Crypto.HashType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Crypto.HashType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<Crypto.HashType>`

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly